Status: Feedback Start date: Feb 20, 2023

Priority: Normal Due date:  

Assignee: Leonardo Candela % Done: 100%

Category:  Estimated time: 0.00 hour

VREName:    

Description

INO confirmed the willingness to be provided with its own instance of Open Portal. 

We should set up what is needed.  

Subtasks:

Support # 24627: Configure D-Net to aggregate the INO set from People Closed

Support # 24628: Configure FTP server for INO Closed

Support # 24629: Prepare a new Joomla instance for INO Closed

History

#1 - Feb 17, 2023 10:41 AM - Tommaso Piccioli

La prima cosa da richiedere è un record sul DNS per il dominio di INO che punti al portale, dovrebbe essere:

openportal.ino.cnr.it   CNAME   new-openportal.isti.cnr.it

#2 - Mar 03, 2023 08:23 PM - Tommaso Piccioli

Ancora openportal.ino.cnr.it non risolve

#3 - Mar 08, 2023 05:12 PM - Tommaso Piccioli

- Status changed from New to In Progress

Scrivono da INO:

Il nostro server DNS (fox.ino.cnr.it) è autoritativo solo sul dominio ino.cnr.it e non su isti.cnr.it. Non pos

siamo inserire direttamente il record richiesto. Metto in cc il collega che si occupa direttamente del DNS est

erno. Per ovviare al problema abbiamo fatto quanto segue:

openportal.ino.cnr.it CNAME fed.ino.cnr.it

su questa macchina vi è un redirect verso new-openportal.isti.cnr.it. 

 A parte il fatto di non comprendere la limitazione, che chiaramente impedisce di creare record su un dominio diverso da ino.cnr.it, non limitare i valori

da associare ad un CNAME, la soluzione adottata ci obbligherebbe ad avere per ino un nome tipo "ino-openportal.isti.cnr.it" e non so se siamo

d'accordo.

#4 - Mar 08, 2023 05:27 PM - Andrea Dell'Amico

Quello che hanno scritto non ha senso: il target di un CNAME può essere un record arbitrario qualunque (come anche un record A può essere un IP

qualunque).

#5 - Mar 09, 2023 09:06 AM - Leonardo Candela

@tommaso.piccioli@isti.cnr.it non sono in copia nello scambio di cui parli ... ti chiederei gentilmente di informarli del fatto che (a) quello che riportano

è quantomeno "strano" e (b) che con l'attuale soluzione apparirebbe il dominio ISTI e questo non credo sia utile per INO. 

Please, mettimi in copia. 

#6 - Mar 09, 2023 06:49 PM - Tommaso Piccioli

Ora la risoluzione del nome è corretta:

openportal.ino.cnr.it.  43200   IN  CNAME   new-openportal.isti.cnr.it.

new-openportal.isti.cnr.it. 86400 IN    A   146.48.87.209
#7 - May 31, 2023 03:59 PM - Tommaso Piccioli

- Status changed from In Progress to Feedback

Aggiornato DB e frontend https e ftps per ino openportal.

E' stato messa una grafica autoprodotta per il logo.

#8 - May 31, 2023 05:39 PM - Leonardo Candela

Ho informato i colleghi INO che https://openportal.ino.cnr.it è funzionante. 

Assumo che l'FTP sia stato configurato, nel caso possiamo chiudere #24628 (dobbiamo dare le credenziali di accesso ai colleghi)

Non mi è chiaro cosa fare con #24629 ... credo si possa chiudere. 

#9 - May 31, 2023 07:19 PM - Tommaso Piccioli

Credenziali ftp INO comunicate a @leonardo.candela@isti.cnr.it e @michele.artini@isti.cnr.it

connessione ftps testata, funziona.
